PDA

View Full Version : [INFOREQ] Build 363 breaks stores and models



deshartman
9 Apr 2012, 2:40 PM
I just updated to 2.0 363 and now my stores and models are not working on an existing project. Some of the errors are:

1) Existing Item Templates items are now null even when preview of Store shows valid values (This was working before)
2) Even though I have a model defined in a store, I still get an error saying, please associate a model with the store
3) Dropdown list in List component does not work any more. Have to manually type in store names.
4) Drwodown list in Store does not work any more. Have to manually select a model and produces error in 2


Please could you look at this ASAP? Also how do I roll back an update to avoid this issue in the future. We have had to stop development until this is fixed


Thanks
Des
:((

aconran
9 Apr 2012, 3:56 PM
Please share an archive of your project with us at designer.feedback at sencha.com

deshartman
9 Apr 2012, 6:32 PM
I just restarted Designer and now the issue is sorted out. It looks like it is an issue with the upgrading of existing projects. Once the designer is restarted it appears to be ok.

Not sure if it help....

Des

aconran
9 Apr 2012, 7:38 PM
Ah. This sounds similar to an issue that we resolved today.